Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat.training
Class NEATInnovation

    java.lang.Object
      org.encog.ml.genetic.innovation.BasicInnovation
          org.encog.neural.neat.training.NEATInnovation

All Implemented Interfaces:
  Serializable, Innovation

    public class NEATInnovation

extends BasicInnovation
implements Serializable

Implements a NEAT innovation. This lets NEAT track what changes it has previously tried with a neural network. NeuroEvolution of Augmenting Topologies (NEAT) is a genetic algorithm for the generation of evolving artificial neural networks. It was developed by Ken Stanley while at The University of Texas at Austin. http://www.cs.ucf.edu/~kstanley/

See Also:
  Serialized Form

Constructor Summary
`NEATInnovation()` Default constructor, used mainly for persistence.
`NEATInnovation(long fromNeuronID, long toNeuronID, NEATInnovationType innovationType, long innovationID)` Construct an innovation.
`NEATInnovation(long fromNeuronID, long toNeuronID, NEATInnovationType innovationType, long innovationID, NEATNeuronType neuronType, double x, double y)` Construct an innovation.
`NEATInnovation(NEATNeuronGene neuronGene, long innovationID, long neuronID)` Construct an innovation.

Method Summary
`long` | `getFromNeuronID()`
`NEATInnovationType` | `getInnovationType()`
`long` | `getNeuronID()`
`NEATNeuronType` | `getNeuronType()`
`double` | `getSplitX()`
`double` | `getSplitY()`
`long` | `getToNeuronID()`
`void` | `setFromNeuronID(long fromNeuronID)`
`void` | `setInnovationType(NEATInnovationType t)`
`void` | `setNeuronID(long neuronID)` Set the neuron id.
`void` | `setNeuronType(NEATNeuronType t)`
`void` | `setSplitX(double d)`
`void` | `setSplitY(double d)`
`void` | `setToNeuronID(long toNeuronID)`
`String` | `toString()`

Methods inherited from class org.encog.ml.genetic.innovation.BasicInnovation
`getInnovationID, setInnovationID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NEATInnovation

    public NEATInnovation()

  Default constructor, used mainly for persistence.

### NEATInnovation

    public NEATInnovation(long fromNeuronID,
                          long toNeuronID,
                          NEATInnovationType innovationType,
                          long innovationID)

  Construct an innovation.

  Parameters:
    `fromNeuronID` - The from neuron.
    `toNeuronID` - The two neuron.
    `innovationType` - The innovation type.
    `innovationID` - The innovation id.

### NEATInnovation

    public NEATInnovation(long fromNeuronID,
                          long toNeuronID,
                          NEATInnovationType innovationType,
                          long innovationID,
                          NEATNeuronType neuronType,
                          double x,
                          double y)

  Construct an innovation.

  Parameters:
    `fromNeuronID` - The from neuron.
    `toNeuronID` - The to neuron.
    `innovationType` - The innovation type.
    `innovationID` - The innovation id.
    `neuronType` - The neuron type.
    `x` - The x coordinate.
    `y` - THe y coordinate.

### NEATInnovation

    public NEATInnovation(NEATNeuronGene neuronGene,
                          long innovationID,
                          long neuronID)

  Construct an innovation.

  Parameters:
    `neuronGene` - The neuron gene.
    `innovationID` - The innovation id.
    `neuronID` - The neuron id.

Method Detail

### getFromNeuronID

    public long getFromNeuronID()

  Returns:
    The from neuron id.

### getInnovationType

    public NEATInnovationType getInnovationType()

  Returns:
    The innovation type.

### getNeuronID

    public long getNeuronID()

  Returns:
    The neuron ID.

### getNeuronType

    public NEATNeuronType getNeuronType()

  Returns:
    The neuron type.

### getSplitX

    public double getSplitX()

  Returns:
    The split x.

### getSplitY

    public double getSplitY()

  Returns:
    The split y.

### getToNeuronID

    public long getToNeuronID()

  Returns:
    The to neuron id.

### setNeuronID

    public void setNeuronID(long neuronID)

  Set the neuron id.

  Parameters:
    `neuronID` - The neuron id.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setInnovationType

    public void setInnovationType(NEATInnovationType t)

### setNeuronType

    public void setNeuronType(NEATNeuronType t)

### setSplitX

    public void setSplitX(double d)

### setSplitY

    public void setSplitY(double d)

### setFromNeuronID

    public void setFromNeuronID(long fromNeuronID)

  Parameters:
    `fromNeuronID` - the fromNeuronID to set

### setToNeuronID

    public void setToNeuronID(long toNeuronID)

  Parameters:
    `toNeuronID` - the toNeuronID to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.